/*****
                              julian()

      This function determines the Julian date for the date given. The
   count includes the day given.

   Argument list:    int month      the month
                     int day        the day
                     int year       the year

   Return value:     int            the days from Jan 1 to the date

*****/

int julian(int day, int month, int year)
{
   static int runsum[] = {0, 31, 59, 90, 120, 151, 181, 212,
                          243, 273, 304, 334, 365};
   int total;

   total = runsum[month - 1] + day;
   if (month > 2) {
      total += leapyear(year);
   }
   return (total);
}
