/*****
                              timeset()

      This function sets the system time using interrupt 0x21. The time
   uses the 24-hour clock.

   Argument list:    int hour       the hour
                     int min        the minute

   Return value:     int            0 if successful, 0xff if not

*****/

#include <dos.h>

int timeset(int hour, int min)
{
   union REGS ireg;

   ireg.h.ah = 0x2d;
   ireg.h.ch = hour;
   ireg.h.cl = min;
   ireg.h.dh = ireg.h.dl = 1;    /* Set seconds and 1/100th */
   intdos(&ireg, &ireg);
   return (ireg.h.al);
}
